import java.io.*;
import java.net.*;
import java.util.*;

public class Assignment1 {
    private static final String FILENAME = "test1.txt";

    private static class ListNode {
        int data;
        ListNode next;
    }

    /* File paths can be specified in two ways, absolutely or relatively.
       Absolutely is with respect to the root, so something like 
       C:/Doc.../Username/Desktop or D:/MyFiles/CSE373/.  It will 
       obviously be different per user (and grader).  
       The alternative is relative -- relative to the current directory, 
       i.e. where java is run from.  Relative works well, except in the
       case of Dr Java, where relative is to Dr Java, not your program 
       (because Dr Java is itself java and spawns your code from it).
       The solution is the code below that asks the current class to 
       open a file from its own directory. */
    private static Scanner scannerFromFilename(String filename) {
        URL url = Assignment1.class.getClassLoader().getResource(filename);
        if (url == null) 
            throw new RuntimeException("File not found: " + filename);
        try {
            Scanner s = new Scanner(url.openStream());
            return s;
        } catch (Exception e) {
            throw new RuntimeException(e + filename + 
                  " couldn't be openStreamed");
        }
    }


    // returns a reference to an array containing the parsed data 
    // in sorted order and duplicates removed
    private static int[] arrayReadAndSort(Scanner s) {
        throw new UnsupportedOperationException();
    }

    // returns a reference to the front of a linked list 
    // containing the parsed data in sorted order and dups removed
    private static ListNode linkedListReadAndSort(Scanner s) {
        throw new UnsupportedOperationException();
    }

    // prints the array, 10 elements per line
    private static void arrayPrint(int[] array) {
        throw new UnsupportedOperationException();
    }

    // prints the linked list starting at front, 10 elements per line
    private static void linkedListPrint(ListNode front) {
        throw new UnsupportedOperationException();
    }

    public static void main(String[] args) {
        Scanner s;
        s = scannerFromFilename(FILENAME);
        arrayPrint(arrayReadAndSort(s));
        s = scannerFromFilename(FILENAME);
        linkedListPrint(linkedListReadAndSort(s));
    }

}
